Skip to Content
goldflow.cc Docs
ImagesMidjourney

Midjourney 图片编辑

POST
/mj/submit/edits

使用 Midjourney 图片编辑接口提交参考图片与编辑提示词,返回可轮询的 Midjourney 任务 ID。

Authorization

bearerAuth
headerAuthorizationBearer <API key>

使用 Authorization Bearer API Key 进行鉴权。

Request Body

application/json
  1. body
prompt*string

图片编辑提示词。

image*string

需要编辑的图片 URL 或 Base64 Data URL。

state?string

客户端自定义状态,会随回调或任务流转透传。

notifyHook?string

任务完成后的回调地址;为空时不主动回调。

Formaturi
[key: string]?any

Response Body

Midjourney 图片编辑任务提交响应。

application/json
  1. response

Midjourney 任务提交响应。

code?integer

提交结果码。1 通常表示提交成功,其他值表示排队、重复、敏感词或错误。

description?string

提交结果描述。

result?string

Midjourney 任务 ID。

properties?

上游返回的扩展属性,例如队列信息、已存在任务状态或翻译后的提示词。

[key: string]?any
Example Request
curl -X POST 'https://goldflow.cc/mj/submit/edits' \  -H 'Content-Type: application/json' \  -d '{  "prompt": "几只鸟在飞",  "image": "https://file.rixapi.com/mask.png"}'
Example Response
{  "code": 0,  "description": "string",  "result": "string",  "properties": {}}